Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.util
Class DiagramXmlConstants

Direct Known Subclasses:
  DiagramXmlSupport

public class DiagramXmlConstants

Field Summary
`final static String` | `AFTER_ATTR`
`final static String` | `AFTER_ELEMENT`
`final static String` | `APPVERSION_ATTR`
`final static String` | `ASSIGNMENT_ELEMENT`
`final static String` | `BACKGROUND_COLOR_ATTR`
`final static String` | `BACKGROUND_VISIBLE_ATTR`
`final static String` | `BOUNDARY_CONDITION_ATTR`
`final static String` | `COLOR_ATTR`
`final static String` | `COMMENT_ATTR`
`final static String` | `COMPARTMENT_ELEMENT`
`final static String` | `COMPARTMENT_INFO_ELEMENT`
`final static String` | `COMPLETION_TIME_ATTR`
`final static String` | `DELAY_ATTR`
`final static String` | `DELAY_UNIT_ATTR`
`final static String` | `DIAGRAM_ELEMENT`
`final static String` | `DIAGRAM_ELEMENT_ATTR`
`final static String` | `DIAGRAM_INFO_ELEMENT`
`final static String` | `DIAGRAM_TYPE_ATTR`
`final static String` | `DML_ELEMENT`
`final static String` | `EDGE_ELEMENT`
`final static String` | `EDGES_ELEMENT`
`final static String` | `EQUATION_ELEMENT`
`final static String` | `EQUATION_TYPE_ATTR`
`final static String` | `EQUIVALENTNODEGROUP_ELEMENT`
`final static String` | `EVENT_ELEMENT`
`final static String` | `EXECUTABLE_MODEL_ELEMENT`
`final static String` | `FORMULA_ATTR`
`final static String` | `HEIGHT_ATTR`
`final static String` | `HIDE_TITLE_ATTTR`
`final static String` | `ID_ATTR`
`final static String` | `IMAGE_ELEMENT`
`final static String` | `IN_REF_ATTR`
`final static String` | `INITIAL_TIME_ATTR`
`final static String` | `INITIAL_VALUE_ATTR`
`final static String` | `INPORT_ATTR`
`final static String` | `KERNEL_REF_ATTR`
`final static String` | `KERNEL_TYPE_ATTR`
`final static String` | `MODEL_CLASS_ATTR`
`final static String` | `NAME_ATTR`
`final static String` | `NODE_ELEMENT`
`final static String` | `NODES_ELEMENT`
`final static String` | `ON_EVENT_ELEMENT`
`final static String` | `OUT_REF_ATTR`
`final static String` | `OUTPORT_ATTR`
`final static String` | `PARAMETER_ELEMENT`
`final static String` | `PLOT_LINE_SPEC_ATTR`
`final static String` | `REPRESENTATIVE_ATTR`
`final static String` | `SHAPE_ATTR`
`final static String` | `SHOW_IN_PLOT_ATTR`
`final static String` | `SRC_ATTR`
`final static String` | `STATE_ELEMENT`
`final static String` | `STATE_ENTRY_ELEMENT`
`final static String` | `STATE_EXIT_ELEMENT`
`final static String` | `STATE_ON_EVENT_ELEMENT`
`final static String` | `STUB`
`final static String` | `TITLE_ATTR`
`final static String` | `TRANSITION_ELEMENT`
`final static String` | `TRIGGER_ATTR`
`final static String` | `UNITS_ATTR`
`final static String` | `UNKNOWN_VALUE`
`final static String` | `VALUE_ATTR`
`final static String` | `VARIABLE_ATTR`
`final static String` | `VARIABLE_ELEMENT`
`final static String` | `VERSION_ATTR`
`final static String` | `WHEN_ELEMENT`
`final static String` | `WIDTH_ATTR`
`final static String` | `X_ATTR`
`final static String` | `Y_ATTR`

Field Detail

### AFTER_ATTR

    public final static String AFTER_ATTR

### AFTER_ELEMENT

    public final static String AFTER_ELEMENT

### APPVERSION_ATTR

    public final static String APPVERSION_ATTR

### ASSIGNMENT_ELEMENT

    public final static String ASSIGNMENT_ELEMENT

### BACKGROUND_COLOR_ATTR

    public final static String BACKGROUND_COLOR_ATTR

### BACKGROUND_VISIBLE_ATTR

    public final static String BACKGROUND_VISIBLE_ATTR

### BOUNDARY_CONDITION_ATTR

    public final static String BOUNDARY_CONDITION_ATTR

### COLOR_ATTR

    public final static String COLOR_ATTR

### COMMENT_ATTR

    public final static String COMMENT_ATTR

### COMPARTMENT_ELEMENT

    public final static String COMPARTMENT_ELEMENT

### COMPARTMENT_INFO_ELEMENT

    public final static String COMPARTMENT_INFO_ELEMENT

### COMPLETION_TIME_ATTR

    public final static String COMPLETION_TIME_ATTR

### DELAY_ATTR

    public final static String DELAY_ATTR

### DELAY_UNIT_ATTR

    public final static String DELAY_UNIT_ATTR

### DIAGRAM_ELEMENT

    public final static String DIAGRAM_ELEMENT

### DIAGRAM_ELEMENT_ATTR

    public final static String DIAGRAM_ELEMENT_ATTR

### DIAGRAM_INFO_ELEMENT

    public final static String DIAGRAM_INFO_ELEMENT

### DIAGRAM_TYPE_ATTR

    public final static String DIAGRAM_TYPE_ATTR

### DML_ELEMENT

    public final static String DML_ELEMENT

### EDGE_ELEMENT

    public final static String EDGE_ELEMENT

### EDGES_ELEMENT

    public final static String EDGES_ELEMENT

### EQUATION_ELEMENT

    public final static String EQUATION_ELEMENT

### EQUATION_TYPE_ATTR

    public final static String EQUATION_TYPE_ATTR

### EQUIVALENTNODEGROUP_ELEMENT

    public final static String EQUIVALENTNODEGROUP_ELEMENT

### EVENT_ELEMENT

    public final static String EVENT_ELEMENT

### EXECUTABLE_MODEL_ELEMENT

    public final static String EXECUTABLE_MODEL_ELEMENT

### FORMULA_ATTR

    public final static String FORMULA_ATTR

### HEIGHT_ATTR

    public final static String HEIGHT_ATTR

### HIDE_TITLE_ATTTR

    public final static String HIDE_TITLE_ATTTR

### ID_ATTR

    public final static String ID_ATTR

### IMAGE_ELEMENT

    public final static String IMAGE_ELEMENT

### IN_REF_ATTR

    public final static String IN_REF_ATTR

### INITIAL_TIME_ATTR

    public final static String INITIAL_TIME_ATTR

### INITIAL_VALUE_ATTR

    public final static String INITIAL_VALUE_ATTR

### INPORT_ATTR

    public final static String INPORT_ATTR

### KERNEL_REF_ATTR

    public final static String KERNEL_REF_ATTR

### KERNEL_TYPE_ATTR

    public final static String KERNEL_TYPE_ATTR

### MODEL_CLASS_ATTR

    public final static String MODEL_CLASS_ATTR

### NAME_ATTR

    public final static String NAME_ATTR

### NODE_ELEMENT

    public final static String NODE_ELEMENT

### NODES_ELEMENT

    public final static String NODES_ELEMENT

### ON_EVENT_ELEMENT

    public final static String ON_EVENT_ELEMENT

### OUT_REF_ATTR

    public final static String OUT_REF_ATTR

### OUTPORT_ATTR

    public final static String OUTPORT_ATTR

### PARAMETER_ELEMENT

    public final static String PARAMETER_ELEMENT

### PLOT_LINE_SPEC_ATTR

    public final static String PLOT_LINE_SPEC_ATTR

### REPRESENTATIVE_ATTR

    public final static String REPRESENTATIVE_ATTR

### SHAPE_ATTR

    public final static String SHAPE_ATTR

### SHOW_IN_PLOT_ATTR

    public final static String SHOW_IN_PLOT_ATTR

### SRC_ATTR

    public final static String SRC_ATTR

### STATE_ELEMENT

    public final static String STATE_ELEMENT

### STATE_ENTRY_ELEMENT

    public final static String STATE_ENTRY_ELEMENT

### STATE_EXIT_ELEMENT

    public final static String STATE_EXIT_ELEMENT

### STATE_ON_EVENT_ELEMENT

    public final static String STATE_ON_EVENT_ELEMENT

### STUB

    public final static String STUB

### TITLE_ATTR

    public final static String TITLE_ATTR

### TRANSITION_ELEMENT

    public final static String TRANSITION_ELEMENT

### TRIGGER_ATTR

    public final static String TRIGGER_ATTR

### UNITS_ATTR

    public final static String UNITS_ATTR

### UNKNOWN_VALUE

    public final static String UNKNOWN_VALUE

### VALUE_ATTR

    public final static String VALUE_ATTR

### VARIABLE_ATTR

    public final static String VARIABLE_ATTR

### VARIABLE_ELEMENT

    public final static String VARIABLE_ELEMENT

### VERSION_ATTR

    public final static String VERSION_ATTR

### WHEN_ELEMENT

    public final static String WHEN_ELEMENT

### WIDTH_ATTR

    public final static String WIDTH_ATTR

### X_ATTR

    public final static String X_ATTR

### Y_ATTR

    public final static String Y_ATTR

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

  deprecated replased by PCDATA section in v. 0.7.3

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM